- load leaflet_tags
- load static



{% leaflet_map "mapa_principal" settings_overrides=settings_leaflet %}

block add_head 
  {% leaflet_js %}
  {% leaflet_css %}
  meta(content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport")
  style.
    .leaflet-container { height: 100%;}
  script.
    function loadSelectedResult(rid){
      //console.log(url_loc);
      fd = new FormData()
      fd.append("selectedresult", rid );
      fd.append("csrfmiddlewaretoken", '{{ csrf_token }}' );
      document.getElementById("contenido").innerHTML ="<img src='{% static 'icons/loading.gif' %}' alt='cargando...' style='width:48px;height:48px;'>";
      axios.post('{% url "home" %}', fd, {
                headers: {"X-CSRFToken": '{{ csrf_token }}'}
                }).then( (response)=> {
             //console.log(response.data);
             document.getElementById("contenido").innerHTML =response.data;
           }).catch(function (error) {
             console.log(error);
           });
      //console.log('hola!');
    };
    var dataurl = '{% url "data" %}';
    function loadListResults(latlon){
      //console.log(url_loc);
      fd = new FormData()
      fd.append("latlon", latlon );
      fd.append("csrfmiddlewaretoken",  '{{csrf_token}}');
      document.getElementById("resultados").innerHTML ="<img src='{% static 'icons/loading.gif' %}' alt='cargando...' style='width:48px;height:48px;'>";
      axios.post('{% url "home" %}', fd, {
                headers: {"X-CSRFToken":  '{{csrf_token}}'}
                }).then( (response)=> {
             //console.log(response.data);
             document.getElementById("resultados").innerHTML =response.data;
           }).catch(function (error) {
             console.log(error);
           });
      console.log(latlon)
    };
    window.addEventListener("map:init", function (event) {
      var map = event.detail.map;
      // Download GeoJSON data with Ajax
      fetch(dataurl)
      .then(function(resp) {
        return resp.json();
        })
      .then(function(data) {
      L.geoJson(data, {
      onEachFeature: function onEachFeature(feature, layer) {
      var props = feature.properties;
      var content = `<div id="${props.id}"><h3>${props.nombre}</h3><br><h4>${props.descripcion}</h4></div>`;//<img width="30" src="${props.picture_url}"/>
      
      layer.bindPopup(content);
      layer.addEventListener('mouseover', function (e) {
            this.openPopup();
        });
        layer.addEventListener('mouseout', function (e) {
            this.closePopup();
        });


      layer.addEventListener("click", function(e) {
        //console.log(e.target.feature.properties)
        loadSelectedResult(e.target.feature.properties.id)
        this.openPopup();

      });

      //console.log(props.tipo_oferta)
      console.log(this.icon)

      icon = {
              iconUrl: 'my-icon.png',
              //iconRetinaUrl: 'my-icon@2x.png',
              iconSize: [25,25],
              iconAnchor: [7, 15],
              popupAnchor: [10, -10],
              //shadowUrl: 'my-icon-shadow.png',
              //shadowRetinaUrl: 'my-icon-shadow@2x.png',
              shadowSize: [68, 95],
              shadowAnchor: [22, 94]
            }; 

      if (props.tipo_oferta === 1) {
        icon.iconUrl = "{% static 'icons/hostal.png' %}"
        icon1 = new L.icon(icon) 
        layer.setIcon(icon1);
      }else{
        icon.iconUrl = "{% static 'icons/cutlery.png' %}"
        icon1 = new L.icon(icon)
        layer.setIcon(icon1);
      };

      }}).addTo(map);
      });
      
      
      var popup = L.popup();
      var theMarker = {};
      function onMapClick(e) {
        //clearPopups(map)

        defaultIcon = new L.icon({
              iconUrl: "{% static 'icons/ask.png' %}",
              //iconRetinaUrl: 'my-icon@2x.png',
              iconSize: [20,20],
              iconAnchor: [20, 0],
              popupAnchor: [0 , 20],
              //shadowUrl: 'my-icon-shadow.png',
              //shadowRetinaUrl: 'my-icon-shadow@2x.png',
              shadowSize: [68, 95],
              shadowAnchor: [22, 94]
            }); 
        if (theMarker != undefined) {
              map.removeLayer(theMarker);
        };
        theMarker = new L.marker(e.latlng,{icon:defaultIcon}).addTo(map);
        loadListResults(e.latlng);
        popup
        .setLatLng(e.latlng)
        .setContent("búsqueda...")// + e.latlng.toString())
        .openOn(map);
        
      }
      map.on('click', onMapClick);
    });
